<app-header></app-header>

<ion-content>
  <ion-refresher slot="fixed" (ionRefresh)="handleRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
  <app-body-header>
    <ion-icon name="clipboard"></ion-icon>
  </app-body-header>
  <ion-row class="titlePage">
    <h3>APROVAÇÃO</h3>
  </ion-row>

  <ion-grid>

    <app-custom-card
      *ngFor="let request of requests"
      (click)="changeRequest(request.hash_code)">
      <ion-col size="8" class="d-block">
        <ion-label class="ion-margin-vertical">{{request.hash_code}}</ion-label>
      </ion-col>
      <ion-col offset="1" size="3" class="ion-no-padding">
        <ion-icon name="arrow-forward-circle"></ion-icon>
      </ion-col>
    </app-custom-card>
    <div *ngIf="requestNotFound" style="padding-top: 1rem">
      <ion-label
        class="ion-margin-vertical sc-ion-label-md-h sc-ion-label-md-s md hydrated"
      >
        <span
          class="warning"
          style="text-transform: uppercase; font-size: 14px"
        >
          Não há requisições em Aprovação
        </span>
      </ion-label>
    </div>
  </ion-grid>

  <!-- <ion-grid *ngIf="interface === 2" (click)="changeInterface(3)">
    <app-custom-card>
      <ion-col class="d-block">
        <ion-label class="ion-margin-vertical">P320921-4R03</ion-label>
      </ion-col>
    </app-custom-card>

    <ion-card class="boxReprov">
      <ion-card-header>
        <ion-icon color="danger" name="ban"></ion-icon>
        <ion-card-title>Reprovação</ion-card-title>
      </ion-card-header>
      <ion-card-content>
        <ion-input placeholder="Motivo"></ion-input>
      </ion-card-content>
    </ion-card>

    <app-key-word-input></app-key-word-input>
  </ion-grid>

  <ion-grid *ngIf="interface === 3" (click)="changeInterface(0)">
    <app-custom-card>
      <ion-col class="d-block">
        <ion-label class="ion-margin-vertical">P320921-4R03</ion-label>
      </ion-col>
    </app-custom-card>

    <ion-card class="boxAprov">
      <ion-card-header>
        <ion-card-title>Aprovação</ion-card-title>
      </ion-card-header>
      <ion-card-content>
        <ion-icon color="success" name="checkmark-circle"></ion-icon>
      </ion-card-content>
    </ion-card>

    <app-key-word-input></app-key-word-input>
  </ion-grid> -->
</ion-content>

<app-footer></app-footer>
